> For the complete documentation index, see [llms.txt](https://docs.novarpc.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.novarpc.xyz/rpc-api-specification/eth_gettransactionbyhash.md).

# eth\_getTransactionByHash

## POST /

> \
> Returns details about a transaction for a given transaction hash.\
> \
> The RPC will check if the transaction is on chain, in the public mempool, or if it exists in our private mempool.\
> \
> If the transaction is returned from our private mempool the signatures (the \`v\`, \`r\`, \`s\` components) and gas price will be stripped from the result.<br>

```json
{"openapi":"3.1.0","info":{"title":"api-docs","version":"0.1.0"},"servers":[{"url":"https://eth.novarpc.xyz","description":"Mainnet"},{"url":"https://base.novarpc.xyz","description":"Base"}],"paths":{"/":{"post":{"tags":["RPC"],"description":"\nReturns details about a transaction for a given transaction hash.\n\nThe RPC will check if the transaction is on chain, in the public mempool, or if it exists in our private mempool.\n\nIf the transaction is returned from our private mempool the signatures (the `v`, `r`, `s` components) and gas price will be stripped from the result.\n","operationId":"eth_getTransactionByHash","parameters":[{"name":"api_key","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderHash"}}},"required":true},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TxEnvelope"}}}}}}}},"components":{"schemas":{"OrderHash":{"type":"string","pattern":"^0x[a-fA-F0-9]{64}$"},"TxEnvelope":{"oneOf":[{"type":"object","required":["Eip4844"],"properties":{"Eip4844":{"$ref":"#/components/schemas/Eip4844"}}},{"type":"object","required":["Eip1559"],"properties":{"Eip1559":{"$ref":"#/components/schemas/Eip1559"}}},{"type":"object","required":["Eip2930"],"properties":{"Eip2930":{"$ref":"#/components/schemas/Eip2930"}}},{"type":"object","required":["Legacy"],"properties":{"Legacy":{"$ref":"#/components/schemas/Legacy"}}}]},"Eip4844":{"type":"object","required":["type","nonce","to","gas","value","input","maxPriorityFeePerGas","maxFeePerGas","maxFeePerBlobGas","accessList","blobVersionedHashes","chainId","yParity","r","s"],"properties":{"accessList":{"type":"array","items":{"$ref":"#/components/schemas/EthAccessListItem"},"description":"EIP-2930 access list."},"blobVersionedHashes":{"type":"array","items":{"type":"string"},"description":"List of versioned blob hashes associated with the transaction's EIP-4844 data blobs."},"blockHash":{"type":["string","null"]},"blockNumber":{"type":["string","null"]},"chainId":{"type":"string","description":"Chain ID that this transaction is valid on."},"from":{"type":["string","null"]},"gas":{"type":"string","description":"Gas limit."},"hash":{"type":["string","null"]},"input":{"type":"string","description":"Calldata / initcode."},"maxFeePerBlobGas":{"type":"string","description":"The maximum total fee per gas the sender is willing to pay for blob gas in wei."},"maxFeePerGas":{"type":"string","description":"The maximum total fee per gas the sender is willing to pay (includes the network/base fee and miner/priority fee) in wei."},"maxPriorityFeePerGas":{"type":"string","description":"Maximum fee per gas the sender is willing to pay to miners in wei."},"nonce":{"type":"string","description":"Transaction nonce."},"r":{"type":"string"},"s":{"type":"string"},"to":{"type":"string","description":"Recipient address (non-null in this variant)."},"transactionIndex":{"type":["string","null"]},"type":{"type":"string","description":"Transaction type."},"value":{"type":"string","description":"Value transferred."},"yParity":{"type":"string","description":"The parity (0 for even, 1 for odd) of the y-value of the secp256k1 signature."}}},"EthAccessListItem":{"type":"object","description":"EIP-2930 access list entry: `(address, storageKeys[])`.","properties":{"address":{"type":["string","null"],"description":"Contract address."},"storageKeys":{"type":["array","null"],"items":{"type":"string"},"description":"Storage keys accessed by the transaction for this address."}}},"Eip1559":{"type":"object","required":["type","nonce","gas","value","input","maxPriorityFeePerGas","maxFeePerGas","gasPrice","accessList","chainId","yParity","r","s"],"properties":{"accessList":{"type":"array","items":{"$ref":"#/components/schemas/EthAccessListItem"},"description":"EIP-2930 access list."},"blockHash":{"type":["string","null"]},"blockNumber":{"type":["string","null"]},"chainId":{"type":"string","description":"Chain ID that this transaction is valid on."},"from":{"type":["string","null"]},"gas":{"type":"string"},"gasPrice":{"type":"string","description":"The effective gas price paid by the sender in wei.\nDeprecated in the spec text (prefer effectiveGasPrice in receipt)."},"hash":{"type":["string","null"]},"input":{"type":"string"},"maxFeePerGas":{"type":"string","description":"The maximum total fee per gas the sender is willing to pay (includes the network/base fee and miner/priority fee) in wei."},"maxPriorityFeePerGas":{"type":"string","description":"Maximum fee per gas the sender is willing to pay to miners in wei."},"nonce":{"type":"string"},"r":{"type":"string"},"s":{"type":"string"},"to":{"type":["string","null"],"description":"Recipient address (null for contract creation)."},"transactionIndex":{"type":["string","null"]},"type":{"type":"string"},"v":{"type":["string","null"],"description":"For backwards compatibility, `v` is optionally provided as an alternative to `yParity`.\nDeprecated in the spec text."},"value":{"type":"string"},"yParity":{"type":"string","description":"The parity (0 for even, 1 for odd) of the y-value of the secp256k1 signature."}}},"Eip2930":{"type":"object","required":["type","nonce","gas","value","input","gasPrice","accessList","chainId","yParity","r","s"],"properties":{"accessList":{"type":"array","items":{"$ref":"#/components/schemas/EthAccessListItem"},"description":"EIP-2930 access list."},"blockHash":{"type":["string","null"]},"blockNumber":{"type":["string","null"]},"chainId":{"type":"string","description":"Chain ID that this transaction is valid on."},"from":{"type":["string","null"]},"gas":{"type":"string"},"gasPrice":{"type":"string","description":"The gas price willing to be paid by the sender in wei."},"hash":{"type":["string","null"]},"input":{"type":"string"},"nonce":{"type":"string"},"r":{"type":"string"},"s":{"type":"string"},"to":{"type":["string","null"],"description":"Recipient address (null for contract creation)."},"transactionIndex":{"type":["string","null"]},"type":{"type":"string"},"v":{"type":["string","null"],"description":"For backwards compatibility, `v` is optionally provided as an alternative to `yParity`.\nDeprecated in the spec text."},"value":{"type":"string"},"yParity":{"type":"string","description":"The parity (0 for even, 1 for odd) of the y-value of the secp256k1 signature."}}},"Legacy":{"type":"object","required":["type","nonce","gas","value","input","gasPrice","v","r","s"],"properties":{"blockHash":{"type":["string","null"]},"blockNumber":{"type":["string","null"]},"chainId":{"type":["string","null"],"description":"Chain ID that this transaction is valid on."},"from":{"type":["string","null"]},"gas":{"type":"string"},"gasPrice":{"type":"string","description":"The gas price willing to be paid by the sender in wei."},"hash":{"type":["string","null"]},"input":{"type":"string"},"nonce":{"type":"string"},"r":{"type":"string"},"s":{"type":"string"},"to":{"type":["string","null"],"description":"Recipient address (null for contract creation)."},"transactionIndex":{"type":["string","null"]},"type":{"type":"string"},"v":{"type":"string"},"value":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.novarpc.xyz/rpc-api-specification/eth_gettransactionbyhash.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
